Bug 241218 - games/supertuxkart: fix build on arm platforms
Summary: games/supertuxkart: fix build on arm platforms
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-12 17:00 UTC by Piotr Kubaj
Modified: 2019-10-28 13:47 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (1.70 KB, patch)
2019-10-12 17:00 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-12 17:00:18 UTC
Created attachment 208269 [details]
patch

Build fails with -mimplicit-it=always passed to as, but builds without it.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-22 06:55:35 UTC
Approved as mentor (builds on local system under armv7 emulation) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-10-27 19:24:16 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 27 19:23:51 UTC 2019
New revision: 515817
URL: https://svnweb.freebsd.org/changeset/ports/515817

Log:
  games/supertuxkart: fix build on arm platforms

  Build fails with -mimplicit-it=always passed to as, but builds without it.

  PR:		241218
  Approved by:	linimon (mentor), amdmi3 (maintainer timeout)

Changes:
  head/games/supertuxkart/Makefile
  head/games/supertuxkart/files/patch-lib_angelscript_projects_cmake_CMakeLists.txt
Comment 3 Dmitry Marakasov freebsd_committer 2019-10-28 13:40:15 UTC
This does not fix aarch64.
Comment 4 commit-hook freebsd_committer 2019-10-28 13:47:13 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Oct 28 13:46:59 UTC 2019
New revision: 515861
URL: https://svnweb.freebsd.org/changeset/ports/515861

Log:
  - Partially revert 515817: aarch64 is still broken

  PR:		241218

Changes:
  head/games/supertuxkart/Makefile